## Apache Zeta Components Manual :: Docs For Class ezcReflectionExtension

### Reflection::ezcReflectionExtension

### Class ezcReflectionExtension

Extends the ReflectionExtension class to provide type information using PHPDoc annotations.

Source for this file: /Reflection/src/extension.php

    ReflectionExtension
       |
       --ezcReflectionExtension

Version: | //autogen//

### Member Variables

protected ReflectionExtension | `$reflectionSource = null`

### Inherited Member Variables

From ReflectionExtension (Internal Class)
public | `$name`

### Method Summary

public static mixed | `export( $extension , [ $return = false] )` Exports a reflection object.
public ezcReflectionExtension | `__construct( $extension )` Constructs a ezcReflectionExtension object from a given extension
public ezcReflectionClass[] | `getClasses( )` Returns an array containing ezcReflectionClass objects for all
public string[] | `getClassNames( )` Returns an array containing all names of all classes of this extension
public array<string,mixed> | `getConstants( )` Returns an associative array containing this extension's constants and
public string[] | `getDependencies( )` Returns an array containing all names of all extensions this extension
public ezcReflectionFunction[] | `getFunctions( )` Returns an array of this extension's fuctions
public array<string,string> | `getINIEntries( )` Returns an associative array containing this extension's INI entries and
public string | `getName( )` Returns this extension's name
public string | `getVersion( )` Returns this extension's version
public void | `info( )` Prints phpinfo block for the extension
public mixed | `__call( $method , $arguments )` Use overloading to call additional methods of the ReflectionException instance given to the constructor.
public string | `__toString( )` Returns a string representation

### Inherited Methods

From ReflectionExtension (Internal Class)
public ReflectionExtension | `constructor __construct ( $name )`
public void | `export ( $name, [$return = ] )`
public void | `getClasses ( )`
public void | `getClassNames ( )`
public void | `getConstants ( )`
public void | `getDependencies ( )`
public void | `getFunctions ( )`
public void | `getINIEntries ( )`
public void | `getName ( )`
public void | `getVersion ( )`
public void | `info ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### export

static mixed export( ReflectionExtension|string $extension , [boolean $return = false] )

Exports a reflection object.

Returns the output if TRUE is specified for return, printing it otherwise. This is purely a wrapper method, which calls the corresponding method of the parent class.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$extension` | ReflectionExtension|string | ReflectionExtension object or name of the extension
`$return` | boolean | Whether to return (TRUE) or print (FALSE) the output

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::export ( $name, [$return = ] )` |

#### __construct

ezcReflectionExtension __construct( string|ReflectionExtension $extension )

Constructs a ezcReflectionExtension object from a given extension

Throws an Exception in case the given extension does not exist

##### Parameters:

Name | Type | Description
--- | --- | ---
`$extension` | string|ReflectionExtension | Name or ReflectionExtension object of the extension to be reflected

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::constructor __construct ( $name )` |

#### getClasses

ezcReflectionClass[] getClasses( )

Returns an array containing ezcReflectionClass objects for all

classes of this extension

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::getClasses ( )` |

#### getClassNames

string[] getClassNames( )

Returns an array containing all names of all classes of this extension

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::getClassNames ( )` |

#### getConstants

array<string,mixed> getConstants( )

Returns an associative array containing this extension's constants and

their values

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::getConstants ( )` |

#### getDependencies

string[] getDependencies( )

Returns an array containing all names of all extensions this extension

depends on

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::getDependencies ( )` |

#### getFunctions

ezcReflectionFunction[] getFunctions( )

Returns an array of this extension's fuctions

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::getFunctions ( )` |

#### getINIEntries

array<string,string> getINIEntries( )

Returns an associative array containing this extension's INI entries and

their values

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::getINIEntries ( )` |

#### getName

string getName( )

Returns this extension's name

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::getName ( )` |

#### getVersion

string getVersion( )

Returns this extension's version

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::getVersion ( )` |

#### info

void info( )

Prints phpinfo block for the extension

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::info ( )` |

#### __call

mixed __call( string $method , array $arguments )

Use overloading to call additional methods of the ReflectionException instance given to the constructor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$method` | string | Method to be called
`$arguments` | array | Arguments that were passed

#### __toString

string __toString( )

Returns a string representation

##### Redefinition of:

Method | Description
--- | ---
`ReflectionExtension::__toString ( )` |

Documentation generated by phpDocumentor 1.4.3